package com.yidianling.consultant.model.bean

import android.widget.TextView


/**
 * 所有筛选条件
 * Created by zqk on 17-9-20.
 */
data class AllFilter(
        var searchWord: String? = null,
        val categories: ArrayList<CateItem> = ArrayList(), //主题
        var reorder: ReorderItem = ReorderItem(), //排序
        var region: RegionItem = RegionItem(), //省
        var sub: SubItem = SubItem(), //市

        var showType: ShowTypeItem = ShowTypeItem(), //显示方式
        val enquiries: ArrayList<EnquiryItem> = ArrayList(), //咨询方式
        var priceRanges: PriceRangesItem ?= null, //服务均价
        var priceRangesView: TextView ?= null, //服务均价
        val ages: ArrayList<AgeItem> = ArrayList(), //年龄
        val doctorEdu: ArrayList<DoctorEduItem> = ArrayList(), //学历
        val others: ArrayList<OtherItem> = ArrayList(),//其他筛选

        val title:ArrayList<ReorderItem> = ArrayList(), //资质
        val specialityCrowd:ArrayList<SpecialityCrowdBean> = ArrayList(), // 擅长人群

        // 八大类标签集合
        val childList:ArrayList<ChildrenBean> = ArrayList(),            // 亲子教育
        val stressList:ArrayList<ChildrenBean> = ArrayList(),           // 情绪压力
        val loveEmotionList:ArrayList<ChildrenBean> = ArrayList(),      // 恋爱情感
        val marriedFamilyList:ArrayList<ChildrenBean> = ArrayList(),    // 婚姻家庭
        val personalGrowthList:ArrayList<ChildrenBean> = ArrayList(),   // 个人成长
        val interpersonalRelationshipList:ArrayList<ChildrenBean> = ArrayList(),        // 人际关系
        val careerDevelopmentList:ArrayList<ChildrenBean> = ArrayList(),                // 职场发展
        val mentalHealthList:ArrayList<ChildrenBean> = ArrayList(),                      // 心理健康

        // 八大类已选中标签id集合
        val categoryId2List:ArrayList<String> = ArrayList(),                             // 一级类目id集合
        val categoryId3List:ArrayList<String> = ArrayList(),                           // 二级类目id集合

        // 八大类选中下标集合,重置的时候可以减少循坏，提升性能
        val chooseChildIndexList:ArrayList<Int> = ArrayList(),
        val chooseStressIndexList:ArrayList<Int> = ArrayList(),
        val chooseLoveEmotionIndexList:ArrayList<Int> = ArrayList(),
        val chooseMarriedFamilyIndexList:ArrayList<Int> = ArrayList(),
        val choosePersonalGrowthIndexList:ArrayList<Int> = ArrayList(),
        val chooseInterpersonalRelationshipIndexList:ArrayList<Int> = ArrayList(),
        val chooseCareerDevelopmentIndexList:ArrayList<Int> = ArrayList(),
        val chooseMentalHealthIndexList:ArrayList<Int> = ArrayList()

)